Skip to main content

List space widgets

GET 

/api/v1/widgets

Returns all widgets configured on the space dashboard so they are restored after a UI reload.

Request​

Query Parameters

    spaceId string

    Filter by space. Defaults to the shared default space.

Responses​

Schema

  • Array [

  • id numberrequired
    type stringrequired

    Possible values: [kibana, grafana, text, builtin]

    title string
    spaceId stringrequired
    order numberrequired

    Zero-based position in the space; render widgets in this order

    widthPercent numberrequired

    Width as a percentage of the dashboard width

    heightPercent numberrequired

    Height as a percentage of the visible dashboard height

    panelConfig

    object

    source stringrequired

    Possible values: [kibana, grafana, builtin]

    Which service this panel comes from

    dashboardId stringrequired

    Dashboard id (Kibana) or dashboard uid (Grafana) the panel belongs to

    dashboardTitle string

    Human readable dashboard name (helps the user understand where the panel comes from)

    panelId object

    Grafana panel id within the dashboard

    visualizationId string

    Kibana visualization saved-object id for the single panel

    panelRefName string

    Kibana panel reference name within the dashboard

    panelType string

    Panel type (e.g. timeseries, table, visualization)

    baseUrl string

    Public base url of the source service (Kibana/Grafana) the UI should use

    embedUrl string

    Full url the UI can embed/iframe to render the single panel

    textConfig

    object

    body string

    Note body text

    color string

    Background color of the sticky note (e.g. #fff475)

    builtinConfig

    object

    key stringrequired

    Built-in panel key the UI renders

    createdBy string
    createdDate date-timerequired
    lastUpdatedDate date-timerequired
  • ]

Loading...